# ListManagedServicesSelectors Method

## Description

Retrieves a list of Managed Services Selectors from a plan.

## HTTP Request

`GET https://api.skeddly.com/api/ManagedServices/Plans/<planId>/Selectors`

## URL Parameters

### planId

ID of the Managed Services Plan to that contains the selectors to retrieve.

Type: `string`

Required: Yes

## Query Parameters

### filter.isIncludeDeleted

Indicates whether deleted plans can be returned.

Type: `boolean`

Required: No

Default: `false`

## Returns

Array of [ManagedServicesSelector](/data-types/managedservicesselector-object.md) object.

## Sample Request

{% tabs %}
{% tab title="HTTP" %}

```http
GET /api/ManagedServices/Plans/plan-00000001/Selectors HTTP/1.1
Host: api.skeddly.com
Authorization: AccessKey <api key>
```

{% endtab %}

{% tab title="Bash" %}

```bash
curl "https://api.skeddly.com/api/ManagedServices/Plans/plan-00000001/Selectors" \
  -H "Authorization: AccessKey <api key>"
```

{% endtab %}
{% endtabs %}

## Sample Response

<pre class="language-javascript"><code class="lang-javascript"><strong>[
</strong><strong>    {
</strong>        "planId": "plan-00000001",
        "selectorId": "selector-00000001",
        "name": "Development EC2 Instances",
        
        "state": "active",
        "syncState": "ready",
        
        "createdDate": "2023-02-13T00:00:00Z",
        "lastModifiedDate": "2023-02-14T00:00:00Z",
        "lastModifiedBy": "u-00000001",
        
        "selectorCode": "0000000000000000",
        
        "credentialIds": [
            "cred-00000001",
            "cred-00000002"
        ],
        "regionNames": null,
        
        "resourceType": "amazon-ec2-instance",
        
        "resourceTagComparisons": [
            {
                "tagName": "start-schedule",
                "compareType": "equals",
                "tagValue": "daily-0800"
            }
        ]
    }
]
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/resources/managed-services/listmanagedservicesselectors-method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
